import { audio, image, video } from "../data/media";
import { make } from "../helper";

export default {
  ...make(audio, "_f_audio"),
  ...make(video, "_f_video"),
  ...make(image, "_f_image"),
  dmp: "_f_log",
  mp3: "_f_audiomp3",
  ogg: "_f_audioogg",
  wav: "_f_audiowav",
  woff2: "_f_fontwoff2",
  woff: "_f_fontwoff",
  ttf: "_f_fontttf",
  otf: "_f_fontotf",
  nim: "_f_nim",
  hs: "_f_haskell",
  tpl: "_f_smarty",
  haml: "_f_haml",
  cmd: "_f_cli",
  erb: "_f_erb",
  m: "_f_m",
  accdb: "_f_access",
  accdt: "_f_access",
  mdb: "_f_access",
  accda: "_f_access",
  accdc: "_f_access",
  accde: "_f_access",
  accdp: "_f_access",
  accdr: "_f_access",
  accdu: "_f_access",
  ade: "_f_access",
  adp: "_f_access",
  laccdb: "_f_access",
  ldb: "_f_access",
  mam: "_f_access",
  maq: "_f_access",
  mdw: "_f_access",
  afdesign: "_f_affinitydesigner",
  affinitydesigner: "_f_affinitydesigner",
  afphoto: "_f_affinityphoto",
  affinityphoto: "_f_affinityphoto",
  afpub: "_f_affinitypublisher",
  affinitypublisher: "_f_affinitypublisher",
  ai: "_f_ai",
  ino: "_f_arduino",
  pde: "_f_arduino",
  aspx: "_f_aspx",
  ascx: "_f_aspx",
  awk: "_f_awk",
  a: "_f_binary",
  app: "_f_binary",
  bin: "_f_binary",
  cmo: "_f_binary",
  cmx: "_f_binary",
  cma: "_f_binary",
  cmxa: "_f_binary",
  cmi: "_f_binary",
  exe: "_f_binary",
  dll: "_f_binary",
  hl: "_f_binary",
  ilk: "_f_binary",
  lib: "_f_binary",
  n: "_f_binary",
  ndll: "_f_binary",
  o: "_f_binary",
  obj: "_f_binary",
  pyc: "_f_binary",
  pyd: "_f_binary",
  pyo: "_f_binary",
  pdb: "_f_binary",
  scpt: "_f_binary",
  scptd: "_f_binary",
  so: "_f_binary",
  gemfile: "_f_bundler",
  "gemfile.lock": "_f_bundler",
  cake: "_f_cake",
  csr: "_f_cert",
  crt: "_f_cert",
  cer: "_f_cert",
  der: "_f_cert",
  pfx: "_f_cert",
  p12: "_f_cert",
  p7b: "_f_cert",
  p7r: "_f_cert",
  src: "_f_cert",
  crl: "_f_cert",
  sst: "_f_cert",
  stl: "_f_cert",
  lucee: "_f_cf",
  h: "_f_cheader",
  class: "_f_class",
  cjm: "_f_clojure",
  kit: "_f_codekit",
  plist: "_f_config",
  csx: "_f_csharp",
  cs: "_f_csharp",
  csproj: "_f_csproj",
  css: "_f_css",
  "css.map": "_f_cssmap",
  db: "_f_db",
  djt: "_f_django",
  eco: "_f_docpad",
  drawio: "_f_drawio",
  dio: "_f_drawio",
  "drawio.png": "_f_drawio",
  "drawio.svg": "_f_drawio",
  ejs: "_f_ejs",
  el: "_f_emacs",
  elc: "_f_emacs",
  ensime: "_f_ensime",
  eps: "_f_eps",
  exs: "_f_exs",
  xls: "_f_excel",
  xlsx: "_f_excel",
  xlsm: "_f_excel",
  ods: "_f_excel",
  fods: "_f_excel",
  fbx: "_f_fbx",
  fla: "_f_fla",
  swf: "_f_flash",
  swc: "_f_flash",
  "js.flow": "_f_flow",
  fsproj: "_f_fsproj",
  gmx: "_f_gamemaker",
  yy: "_f_gamemaker2",
  yyp: "_f_gamemaker2",
  gradle: "_f_gradle",
  hxproj: "_f_haxedevelop",
  idr: "_f_idris",
  lidr: "_f_idris",
  ibc: "_f_idrisbin",
  ipkg: "_f_idrispkg",
  inc: "_f_inc",
  include: "_f_inc",
  infopathxml: "_f_infopath",
  xsn: "_f_infopath",
  xsf: "_f_infopath",
  xtp2: "_f_infopath",
  jar: "_f_jar",
  jbuilder: "_f_jbuilder",
  "js.snap": "_f_jest_snapshot",
  "jsx.snap": "_f_jest_snapshot",
  "ts.snap": "_f_jest_snapshot",
  "tsx.snap": "_f_jest_snapshot",
  "js.map": "_f_jsmap",
  json5: "_f_json5",
  jsonld: "_f_jsonld",
  "json-ld": "_f_jsonld",
  rjson: "_f_rjson",
  jss: "_f_jss",
  key: "_f_key",
  pem: "_f_key",
  master: "_f_layout",
  "layout.html": "_f_layout",
  "layout.htm": "_f_layout",
  html: "_f_html",
  enc: "_f_license",
  hxp: "_f_lime",
  liquid: "_f_liquid",
  ls: "_f_livescript",
  lnk: "_f_lnk",
  log: "_f_log",
  tlg: "_f_log",
  crec: "_f_lync",
  ocrec: "_f_lync",
  makefile: "_f_makefile",
  map: "_f_map",
  mdown: "_f_markdown",
  markdown: "_f_markdown",
  "marko.js": "_f_markojs",
  fig: "_f_matlab",
  mex: "_f_matlab",
  mexn: "_f_matlab",
  mexrs6: "_f_matlab",
  mn: "_f_matlab",
  mum: "_f_matlab",
  mx: "_f_matlab",
  mx3: "_f_matlab",
  rwd: "_f_matlab",
  slx: "_f_matlab",
  slddc: "_f_matlab",
  smv: "_f_matlab",
  xvc: "_f_matlab",
  mdx: "_f_mdx",
  mustache: "_f_mustache",
  mst: "_f_mustache",
  njsproj: "_f_njsproj",
  nupkg: "_f_nuget",
  nuspec: "_f_nuget",
  psmdcp: "_f_nuget",
  nunj: "_f_nunjucks",
  njs: "_f_nunjucks",
  one: "_f_onenote",
  onepkg: "_f_onenote",
  onetoc: "_f_onenote",
  onetoc2: "_f_onenote",
  sig: "_f_onenote",
  cl: "_f_opencl",
  opencl: "_f_opencl",
  org: "_f_org",
  pst: "_f_outlook",
  bcmx: "_f_outlook",
  otm: "_f_outlook",
  msg: "_f_outlook",
  oft: "_f_outlook",
  ovpn: "_f_ovpn",
  pkg: "_f_package",
  pcd: "_f_pcl",
  pdf: "_f_pdf",
  psd: "_f_photoshop",
  php1: "_f_php",
  php2: "_f_php",
  php3: "_f_php",
  php4: "_f_php",
  php5: "_f_php",
  php6: "_f_php",
  phps: "_f_php",
  phpsa: "_f_php",
  phpt: "_f_php",
  phtml: "_f_php",
  phar: "_f_php",
  pu: "_f_plantuml",
  plantuml: "_f_plantuml",
  iuml: "_f_plantuml",
  puml: "_f_plantuml",
  pck: "_f_plsql_package",
  pkb: "_f_plsql_package_body",
  pkh: "_f_plsql_package_header",
  pks: "_f_plsql_package_spec",
  po: "_f_poedit",
  pot: "_f_powerpoint",
  potx: "_f_powerpoint",
  potm: "_f_powerpoint",
  pps: "_f_powerpoint",
  ppsx: "_f_powerpoint",
  ppsm: "_f_powerpoint",
  ppt: "_f_powerpoint",
  pptx: "_f_powerpoint",
  pptm: "_f_powerpoint",
  pa: "_f_powerpoint",
  ppa: "_f_powerpoint",
  ppam: "_f_powerpoint",
  sldm: "_f_powerpoint",
  sldx: "_f_powerpoint",
  "format.ps1xml": "_f_powershell_format",
  "types.ps1xml": "_f_powershell_types",
  pro: "_f_prolog",
  P: "_f_prolog",
  pub: "_f_publisher",
  puz: "_f_publisher",
  q: "_f_q",
  qbs: "_f_qbs",
  qvd: "_f_qlikview",
  qvw: "_f_qlikview",
  rake: "_f_rake",
  rt: "_f_reacttemplate",
  reg: "_f_registry",
  rproj: "_f_rproj",
  sls: "_f_saltstack",
  sass: "_f_scss",
  scss: "_f_scss",
  unity: "_f_shaderlab",
  fish: "_f_shell",
  sketch: "_f_sketch",
  eskip: "_f_skipper",
  sqlite: "_f_sqlite",
  sqlite3: "_f_sqlite",
  db3: "_f_sqlite",
  sss: "_f_sss",
  dta: "_f_stata",
  storyboard: "_f_storyboard",
  "story.js": "_f_storybook",
  "story.jsx": "_f_storybook",
  "story.ts": "_f_storybook",
  "story.tsx": "_f_storybook",
  "stories.js": "_f_storybook",
  "stories.jsx": "_f_storybook",
  "stories.ts": "_f_storybook",
  "stories.tsx": "_f_storybook",
  svg: "_f_svg",
  tcl: "_f_tcl",
  exp: "_f_tcl",
  tfstate: "_f_terraform",
  tst: "_f_test",
  "test.js": "_f_testjs",
  "test.jsx": "_f_testjs",
  "test.mjs": "_f_testjs",
  "spec.js": "_f_testjs",
  "spec.jsx": "_f_testjs",
  "spec.mjs": "_f_testjs",
  "test.ts": "_f_testts",
  "test.tsx": "_f_testts",
  "spec.ts": "_f_testts",
  "spec.tsx": "_f_testts",
  "e2e-test.ts": "_f_testts",
  "e2e-test.tsx": "_f_testts",
  "e2e-spec.ts": "_f_testts",
  "e2e-spec.tsx": "_f_testts",
  texi: "_f_tex",
  tikz: "_f_tex",
  csv: "_f_csv",
  todo: "_f_todo",
  tt2: "_f_tt",
  tsx: "_f_reactts",
  "d.ts": "_f_typescriptdef",
  vala: "_f_vala",
  vapi: "_f_vapi",
  vash: "_f_vash",
  vbhtml: "_f_vbhtml",
  vbproj: "_f_vbproj",
  vcxproj: "_f_vcxproj",
  vsix: "_f_vscode",
  vsixmanifest: "_f_vscode",
  wasm: "_f_wasm",
  doc: "_f_word",
  docx: "_f_word",
  docm: "_f_word",
  dot: "_f_word",
  dotx: "_f_word",
  dotm: "_f_word",
  wll: "_f_word",
  wxml: "_f_wxml",
  wxss: "_f_wxss",
  xcodeproj: "_f_xcode",
  xfl: "_f_xfl",
  xib: "_f_xib",
  xliff: "_f_xliff",
  xlf: "_f_xliff",
  pex: "_f_xml",
  tmlanguage: "_f_xml",
  zip: "_f_zip",
  rar: "_f_zip",
  "7z": "_f_zip",
  tar: "_f_zip",
  gz: "_f_zip",
  bzip2: "_f_zip",
  xz: "_f_zip",
  bz2: "_f_zip",
  zipx: "_f_zip",
  tgz: "_f_zip",
  styl: "_f_stylus",
  tmpl: "_f_tmpl",
  mint: "_f_mint",
  eex: "_f_eex",
  conf: "_f_conf",
  "cfg.dist": "_f_conf",
  cfg: "_f_conf",
  ini: "_f_conf",
  c: "_f_c",
  cpp: "_f_cpp",
  hpp: "_f_hpp",
  ps1: "_f_powershell",
  psm1: "_f_powershellmodule",
  psd1: "_f_powershelldata",
  njk: "_f_njk",
  "blade.php": "_f_blade",
  blade: "_f_blade",
  gql: "_f_graphql",
  png: "_f_imagepng",
  jpg: "_f_imagejpg",
  jepg: "_f_imagejpg",
  gif: "_f_imagegif",
  webp: "_f_imagewebp",
  ico: "_f_imageico",
  jinja: "_f_jinja",
  "controller.ts": "_f_nestjscontroller",
  "controller.js": "_f_nestjscontroller",
  "module.ts": "_f_angularmodule",
  "service.ts": "_f_angularservice",
  "service.js": "_f_nestjsservice",
  "guard.ts": "_f_nestjsguard",
  "guard.js": "_f_nestjsguard",
  "decorator.ts": "_f_nestjsdecorator",
  "decorator.js": "_f_nestjsdecorator",
  "filter.ts": "_f_nestjsfilter",
  "filter.js": "_f_nestjsfilter",
  txt: "_f_txt",
  swift: "_f_swift",
  rs: "_f_rust",
  less: "_f_less",
  dart: "_f_dartlang",
  erl: "_f_erlang",
  groovy: "_f_groovy",
  java: "_f_java",
  toml: "_f_toml",
  elm: "_f_elm",
  svelte: "_f_svelte",
  go: "_f_go",
  rb: "_f_ruby",
  hbs: "_f_handlebars",
  twig: "_f_twig",
  bat: "_f_bat",
  ex: "_f_elixir",
  prisma: "_f_prisma",
  jl: "_f_julia",
  razor: "_f_razor",
  cshtml: "_f_cshtml",
  jsp: "_f_jsp",
  mp4: "_f_mp4",
  mov: "_f_mov",
  res: "_f_rescript",
  resi: "_f_rescript",
  vert: "_f_opengl",
  frag: "_f_opengl",
  tesc: "_f_opengl",
  tese: "_f_opengl",
  geom: "_f_opengl",
  comp: "_f_opengl",
  glsl: "_f_opengl",
  hlsl: "_f_opengl",
  ll: "_f_llvm",
  bc: "_f_llvm",
  info: "_f_info",
  ipynb: "_f_ipynb",
  sol: "_f_sol",
  bicep: "_f_bicep",
  pri: "_f_qt",
  user: "_f_user",
  ui: "_f_ui",
  clj: "_f_clojure",
  cljs: "_f_clojure",
  cljc: "_f_clojure",
  cljx: "_f_clojure",
  edn: "_f_clojure",
  tf: "_f_terraform",
  tfvars: "_f_terraformvars",
  ml: "_f_ocaml",
  mli: "_f_ocamli",
  mly: "_f_ocamly",
  mll: "_f_ocamll",
  fs: "_f_fsharp",
  astro: "_f_astro",
  godot: "_f_godot",
  gd: "_f_godot",
  tscn: "_f_tscn",
  env: "_f_env",
  hcl: "_f_hashicorp",
  sentinel: "_f_sentinel",
  feature: "_f_cucumber",
  nix: "_f_nix",
  edge: "_f_edge",
  nvim: "_f_nvim",
  tres: "_f_tres",
  sln: "_f_sln",
  suo: "_f_suo",
  mesh: "_f_mesh",
  gbl: "_f_gbl",
  sql: "_f_sql",
  v: "_f_v",
  rego: "_f_rego",
  scala: "_f_scala",
  sc: "_f_scala",
  d: "_f_d",
  adoc: "_f_adoc",
  mo: "_f_motoko",
  patch: "_f_diff",
  diff: "_f_diff",
};
